module chk(clk, rst, tx, rx, fb, err);

input clk, rst;
input[7:0] tx, rx;
output fb, err;

reg fb, err;
reg[1:0]	 state;

//state machine
parameter 	idle			= 0;
parameter	ltc_chk		= 1;
parameter 	normal		= 2;

always@(posedge clk)
begin
if(!rst)
	begin
	fb <= 0;
	err <= 0;
	end
else
	begin
		case(state)
			idle:
				begin
					fb <= 0;
					err <= 0;
					state <= ltc_chk;
				end
			ltc_chk:
				begin
				if(tx == 8'b00000001)
					begin
					if(rx == 8'b00000001)
						begin
						fb <= 1'b1;
						err <= 0;
						state <= normal;
						end
					else
						begin
						fb <= 0;
						err <= 0;
						end
					end
				else
					begin
					fb <= 0;
					err <= 0;
					end
				end
			normal:
				begin
				if(tx != rx)
					err <= 1'b1;
				else
					err <= 0;
				end
			default:
				begin
					fb <= 0;
					err <= 0;
					state <= idle;
				end
		endcase
	end
end
endmodule
