module error_ctr(clk, rst, sec, err, led);

input clk, rst, sec, err;
output reg[3:0] led;

reg[99:0] count;
reg[1:0] state;

parameter dangerous = 10000000;

parameter	idle		= 0;
parameter	crisis	= 1;
parameter 	disaster	= 2;

always@(posedge clk)
begin
if(!rst)
	led <= 4'b0000;
else
	begin
	case(state)
		idle:
			begin
			led <= 0;
			state <= crisis;
			end
		crisis:
			begin
			if(led == 4'b1111)
				begin
				state <= disaster;
				count <= count;
				led <= 0;
				end
			else if(count == dangerous)
				begin
				count <= 0;
				led <= led + 1;
				end
			else if(err)
			count <= count + 1;
			else
			count <= count;
			end
		disaster:
			begin
			if(sec)
			led <= ~led;
			else
			led <= led;
			end
		default:
			begin
			led <= 0;
			state <= idle;
			end
	endcase
	end
end
endmodule
