module gen(clk, rst, ct_en, q);

input clk;
input rst;
input ct_en;
output[7:0] q;

reg[7:0] q;
reg[1:0]	state;

//state machine
parameter 	idle			= 0;
parameter	ltc_adj		= 1;
parameter 	normal		= 2;

always@ (posedge clk)
begin
if(!rst)
	q <= 0;
else
	begin
		case(state)
			idle:
				begin
				q <= 0;
				state <= ltc_adj;
				end
			ltc_adj:
				begin
				q <= 8'b00000001;
				if(ct_en)
				state <= normal;
				end
			normal:
				begin
				if(q == 8'b11111111)
					q <= 0;
				else
					q <= q + 1;
				end
			default:
				begin
				q <= 0;
				state <= idle;
				end
		endcase
	end
end
endmodule
