module sel_port(sw, tx_in, hsma_tx, hsmb_tx, hsma_rx, hsmb_rx, rx_out);

input 		sw;
input [7:0] tx_in, hsma_rx, hsmb_rx;
output reg[7:0] hsma_tx, hsmb_tx, rx_out;

always@(sw or tx_in or hsma_rx or hsmb_rx)
begin
	case(sw)
		1'b0:
			begin
			hsma_tx <= tx_in;
			rx_out <= hsma_rx;
			end
		1'b1:
			begin
			hsmb_tx <= tx_in;
			rx_out <= hsmb_rx;
			end
		default:
			begin
			hsma_tx <= 0;
			hsmb_tx <= 0;
			rx_out <= 0;
			end
	endcase
end

endmodule
