module testing(clk, rst, en, sec, led);

input clk, rst, en, sec;
output[3:0] led;

reg[3:0] led;
reg[1:0] state;

parameter	idle		= 0;
parameter 	set_up	= 1;
parameter	right		= 2;
parameter 	left		= 3;

always@(posedge clk)
begin
if(!rst)
	led <= 4'b0000;
else
	begin
	case(state)
		idle:
			begin
			led <= 0;
			if(en)
			state <= set_up;
			end
		set_up:
			begin
			led <= 4'b1000;
			if(en)
			state <= right;
			end
		right:
			begin
			if(led == 4'b0001)
			state <= left;
			else if(sec)
			led = led >> 1;
			else
			led <= led;
			end
		left:
			begin
			if(led == 4'b1000)
			state <= right;
			else if(sec)
			led = led << 1;
			else
			led <= led;
			end
		default:
			begin
			led <= 0;
			state <= idle;
			end
	endcase
	end
end
endmodule
